@import "../../../../styles/theme/colors";
@import "../../../../styles/utils/responsive";

.responsive-btn {
    display: none;
    @include respond(phone) {
        display: block;
    }
}

.container {
    display: grid;
    grid-template-columns: 75% 25%;
    grid-template-rows: 1fr;
    overflow: hidden;

    &__email-info {
        grid-column: 1/1;
        display: flex;
        align-items: center;
        gap: 2rem;

        &--text-section {
            .user-name {
                font-size: 1.5rem;
                font-weight: bold;
                letter-spacing: 0.1rem;
                gap: 1.2rem;
                text-transform: uppercase;
            }

            .subject .message .time {
                font-size: 1.6rem;
                font-weight: 500;
            }

            .time {
                margin-left: 2rem;
            }
        }
    }

    .actions {
        grid-column: 2/-1;
        visibility: visible;
        display: flex;
        justify-content: flex-end;
        align-items: center;

        @include respond(phone) {
            flex-direction: column;
            align-items: flex-end;
            justify-content: flex-start;
        }

        button {
            color: $gray-08;
        }
    }

    ///// TODO : PUT THIS IN PHASE-3
    // &:hover {
    //     .actions {
    //         visibility: visible;
    //         display: flex;
    //         justify-content: end;
    //         align-items: center;
    //     }
    // }

    .profile-image {
        height: 40px;
        width: 40px;
        border-radius: 50%;
        flex-shrink: 0;
        object-fit: cover;
        > img {
            background-size: cover;
            width: 4rem;
            height: 4rem;
        }
    }
}

.mail-card {
    transition: box-shadow 280ms cubic-bezier(0.4, 0, 0.2, 1);
    display: block;
    position: relative;
    padding: 0.4rem;
    border-radius: 0.4rem;
    padding: 0.8rem;
    box-shadow: 0px 2px 1px -1px rgb(0 0 0 / 20%), 0px 1px 1px 0px rgb(0 0 0 / 14%), 0px 1px 3px 0px rgb(0 0 0 / 12%);
    background: #fff;
    margin: 0 2rem;

    &:last-child {
        margin-bottom: 2rem;
    }
}
